GET/Drives/{driveId}/files/{fileId}
Returns the full details of a file: status, associations, public links and version summaries. Requires at least
File.Read on the file's path; use Drives_GetFileVersions for a version's comments, reviews and download URIs.
Path Parameters
| Field | Type | Required | Description |
|---|
| driveId | uuid | Required | |
| fileId | uuid | Required | |
Response
| Field | Type | Description |
|---|
| id | uuid | |
| partitionKey | uuid | |
| type | string| null | |
| name | string| null | |
| description | string| null | |
| path | string| null | |
| fullPath | string| null | |
| status | string| null | |
| dueDate | date-time | |
| url | string| null | |
| assignedTo | GetFileResponseAssignedCollab | |
| permissions | string[]| null | |
| associatedCrewMembers | GetFileResponseAssociatedEntiy[]| null | |
| associatedCollaborators | GetFileResponseAssociatedEntiy[]| null | |
| associatedAreas | GetFileResponseAssociatedEntiy[]| null | |
| links | GetFileResponseFileLink[]| null | |
| taskId | uuid| null | |
| reviewerCrewIds | uuid[]| null | |
| versions | GetFileResponseVersionSummary[]| null | |
GetFileResponseAssignedCollab
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
GetFileResponseAssociatedEntiy
| Field | Type | Description |
|---|
| id | uuid | |
| entityId | uuid | |
| name | string| null | |
| permissions | string[]| null | |
GetFileResponseFileLink
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| permissions | string[]| null | |
GetFileResponseVersionSummary
| Field | Type | Description |
|---|
| id | uuid | |
| tag | string| null | |
| status | string| null | |
| comments | integer | |
| formats | string[]| null | |
| taskId | uuid| null | |